import { jsx } from "react/jsx-runtime";
import { useMemo } from "react";
import { useTranslation } from "react-i18next";
import { useCollectionManager_deprecated } from "../../hooks/index.mjs";
import Summary from "./Summary.mjs";
const TemplateSummary = (props)=>{
    const { t } = useTranslation();
    const { getTemplate } = useCollectionManager_deprecated();
    const schema = useMemo(()=>getTemplate(props.schemaKey), [
        getTemplate,
        props.schemaKey
    ]);
    return /*#__PURE__*/ jsx(Summary, {
        label: t('Collection template'),
        schema: schema
    });
};
TemplateSummary.displayName = 'TemplateSummary';
export { TemplateSummary };
